Closed Bug 340318 Opened 15 years ago Closed 12 years ago

whenever you go to gmail.com the redirects on gmail makes FireFox freeze then crash [@ nsXBLService::GetBinding] [@ js_HashString]

Categories

(Core :: XBL, defect)

1.8 Branch
x86
Windows XP
defect
Not set
critical

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: will7811, Unassigned)

References

()

Details

(Keywords: crash, helpwanted, qawanted)

Crash Data

Attachments

(1 obsolete file)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4

whenever you go to gmail.com the redirects on gmail makes FireFox freeze then crash

Reproducible: Always

Steps to Reproduce:
1. type in www.gmail.com
2. sign-in
3. move around so you get the gmail redirect or upper right corner says PLEASE WAIT.., it then crashes

Actual Results:  
the whole browser crashed

Expected Results:  
not to crash keep browsing as normal

this was reported by me a tech closed it saying fixed in 1.5.0.1 yet I still getting this along with tons of other friends
Are you talking about bug 329053? That's still open, unconfirmed. Could you provide talkback IDs for the trash? (http://kb.mozillazine.org/Talkback)
https://bugzilla.mozilla.org/show_bug.cgi?id=329053


what you mean yes that is the bug I thought it said fixed so I opened a new one

can this be fixed

and whats this mean

Could you
provide talkback IDs for the trash? <-- ???
(In reply to comment #1)
> Are you talking about bug 329053? That's still open, unconfirmed. Could you
> provide talkback IDs for the trash? (http://kb.mozillazine.org/Talkback)
> 

I can not see any talkback ids what so ever I know it was sending

Can you give exact steps to reproduce for I read mails, clicked on the back and forward button but I see no crash. 
(In reply to comment #4)
> Can you give exact steps to reproduce for I read mails, clicked on the back and
> forward button but I see no crash. 
> 
Steps to Reproduce:
1. type in www.gmail.com
2. sign-in
3. move around so you get the gmail redirect or upper right corner says PLEASE
WAIT.., it then crashes
(In reply to comment #5)
>
> 3. move around 
Can you specify "move around"? 

(In reply to comment #6)
> (In reply to comment #5)
> >
> > 3. move around 
> Can you specify "move around"? 
> 


DO ANYTHING TO GET THE READ BLOCK APPEAR THAT SAYS

LOADING
(In reply to comment #2)
> Could you provide talkback IDs for the trash? <-- ???

I meant to say "for the crash";) If talkback did not pop up when firefox crashed, it may not be installed (only a certain (20%?) percent get it by default), but if you reinstall and do a custom install you can opt in for it. 

Also, could it be some extension that is causing the problems? Try running firefox -safe-mode.
(In reply to comment #8)
> (In reply to comment #2)
> > Could you provide talkback IDs for the trash? <-- ???
> 
> I meant to say "for the crash";) If talkback did not pop up when firefox
> crashed, it may not be installed (only a certain (20%?) percent get it by
> default), but if you reinstall and do a custom install you can opt in for it. 
> 
> Also, could it be some extension that is causing the problems? Try running
> firefox -safe-mode.
> 




nope I uninstalled all my ext. and still doing it


here i got 1 talkback ID

TB19591847Z <---
Incident ID: 19591847
Stack Signature	js_HashString f709f0aa
Product ID	Firefox15
Build ID	2006060306
Trigger Time	2006-06-07 01:06:39.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	js3250.dll + (00048543)
URL visited	http://www.gmail.com
User Comments	www.gmail.com
Since Last Crash	45235 sec
Total Uptime	45235 sec
Trigger Reason	Access violation
Source File, Line No.	c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c, line 2820
Stack Trace 	
js_HashString  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c, line 2820]

not a particularly useful stack, sorry :(
(In reply to comment #10)
> Incident ID: 19591847
> Stack Signature js_HashString f709f0aa
> Product ID      Firefox15
> Build ID        2006060306
> Trigger Time    2006-06-07 01:06:39.0
> Platform        Win32
> Operating System        Windows NT 5.1 build 2600
> Module  js3250.dll + (00048543)
> URL visited     http://www.gmail.com
> User Comments   www.gmail.com
> Since Last Crash        45235 sec
> Total Uptime    45235 sec
> Trigger Reason  Access violation
> Source File, Line No.  
> c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> line 2820
> Stack Trace     
> js_HashString 
> [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> line 2820]
> 
> not a particularly useful stack, sorry :(
> 




well sorry but his has to be fixed ASAP otherwise it appears me and my friends are unable to use as this is getting burdensome since 1.5.0.4 seems very buggy worst version i ever used

sorry but tis true
(In reply to comment #11)
> (In reply to comment #10)
> > Incident ID: 19591847
> > Stack Signature js_HashString f709f0aa
> > Product ID      Firefox15
> > Build ID        2006060306
> > Trigger Time    2006-06-07 01:06:39.0
> > Platform        Win32
> > Operating System        Windows NT 5.1 build 2600
> > Module  js3250.dll + (00048543)
> > URL visited     http://www.gmail.com
> > User Comments   www.gmail.com
> > Since Last Crash        45235 sec
> > Total Uptime    45235 sec
> > Trigger Reason  Access violation
> > Source File, Line No.  
> > c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> > line 2820
> > Stack Trace     
> > js_HashString 
> > [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> > line 2820]
> > 
> > not a particularly useful stack, sorry :(
> > 
> 
> 
> 
> 
> well sorry but his has to be fixed ASAP otherwise it appears me and my friends
> are unable to use as this is getting burdensome since 1.5.0.4 seems very buggy
> worst version i ever used
> 
> sorry but tis true
> 




THIS IS STILL HAPPENEING I GOT SOME ID's OR TALKBACK REPORTS


HERE THEY ARE

TB20393805Q
TB20390947Y
TB20385656H
TB20357245Y

much better, thank you

Incident ID: 20393805
Stack Signature	0x07d2a550 bc7f1889
Product ID	Firefox15
Build ID	2006062605
Trigger Time	2006-06-28 21:18:43.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	
URL visited	I am so sick of this failing on gmail
User Comments	
Since Last Crash	7141 sec
Total Uptime	74900 sec
Trigger Reason	Access violation
Source File, Line No.	N/A
Stack Trace 	
0x07d2a550
nsXBLService::GetBinding  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xbl/src/nsXBLService.cpp, line 859]
nsXBLService::GetBinding  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xbl/src/nsXBLService.cpp, line 913]
nsXBLService::GetBinding  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xbl/src/nsXBLService.cpp, line 913]
nsXBLService::GetBinding  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xbl/src/nsXBLService.cpp, line 913]
nsXBLService::LoadBindings  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xbl/src/nsXBLService.cpp, line 590]
nsCSSFrameConstructor::ConstructFrameInternal  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 7752]
nsCSSFrameConstructor::ConstructFrame  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 7709]
nsCSSFrameConstructor::ContentInserted  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 9499]
nsCSSFrameConstructor::RecreateFramesForContent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 11983]
nsCSSFrameConstructor::RestyleElement  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 10515]
nsCSSFrameConstructor::ProcessOneRestyle  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13956]
nsCSSFrameConstructor::ProcessPendingRestyles  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 14004]
PresShell::FlushPendingNotifications  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 5338]
nsBoxObject::GetFrame  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsBoxObject.cpp, line 171]
nsBoxObject::GetDocShell  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsBoxObject.cpp, line 573]
nsIFrameBoxObject::GetDocShell  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsIFrameBoxObject.cpp, line 89]
XPCWrappedNative::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp, line 2155]
XPC_WN_GetterSetter  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp, line 1477]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1188]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1285]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1344]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 3408]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1208]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1285]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1344]
js_GetProperty  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsobj.c, line 3085]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 5335]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1208]
nsXPCWrappedJSClass::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp, line 1410]
nsXPCWrappedJS::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp, line 462]
SharedStub  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp, line 147]
nsEventListenerManager::HandleEventSubType  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/events/src/nsEventListenerManager.cpp, line 1687]
nsEventListenerManager::HandleEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/events/src/nsEventListenerManager.cpp, line 1788]
nsXULElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2143]
nsXULElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2164]
nsXULElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2164]
nsXULElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2164]
nsXULElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2164]
nsXULElement::HandleChromeEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/xul/content/src/nsXULElement.cpp, line 2823]
nsGlobalWindow::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/dom/src/base/nsGlobalWindow.cpp, line 1624]
nsDocument::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsDocument.cpp, line 4016]
nsGenericElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsGenericElement.cpp, line 2222]
nsGenericElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsGenericElement.cpp, line 2214]
nsGenericElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsGenericElement.cpp, line 2214]
nsGenericHTMLElement::HandleDOMEventForAnchors  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/html/content/src/nsGenericHTMLElement.cpp, line 1491]
nsHTMLAnchorElement::HandleDOMEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/html/content/src/nsHTMLAnchorElement.cpp, line 295]
nsEventStateManager::DispatchNewEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/events/src/nsEventStateManager.cpp, line 4604]
nsEventListenerManager::DispatchEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/events/src/nsEventListenerManager.cpp, line 2145]
nsDOMEventRTTearoff::DispatchEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsGenericElement.cpp, line 699]
nsHTMLLinkElement::CreateAndDispatchEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/html/content/src/nsHTMLLinkElement.cpp, line 288]
nsHTMLLinkElement::LinkAdded  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/html/content/src/nsHTMLLinkElement.cpp, line 221]
nsDocument::OnPageShow  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/content/base/src/nsDocument.cpp, line 5027]
DocumentViewerImpl::LoadComplete  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/layout/base/nsDocumentViewer.cpp, line 1044]
nsDocShell::EndPageLoad  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsDocShell.cpp, line 4803]
nsWebShell::EndPageLoad  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsWebShell.cpp, line 664]
nsDocShell::OnStateChange  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsDocShell.cpp, line 4729]
nsDocLoader::FireOnStateChange  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 1210]
nsDocLoader::doStopDocumentLoad  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 844]
nsDocLoader::OnStopRequest  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/uriloader/base/nsDocLoader.cpp, line 665]
nsLoadGroup::RemoveRequest  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/netwerk/base/src/nsLoadGroup.cpp, line 732]
nsDocShell::FinishRestore  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsDocShell.cpp, line 5222]
nsDocShell::RestoreFromHistory  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsDocShell.cpp, line 5630]
HandleRestorePresentationEvent  [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/docshell/base/nsDocShell.cpp, line 5123]
Assignee: nobody → general
Component: General → XBL
Product: Firefox → Core
QA Contact: general → ian
Version: unspecified → 1.8 Branch
Keywords: crash
*** Bug 329053 has been marked as a duplicate of this bug. ***
Flags: blocking1.9a2?
Flags: blocking1.8.1?
Flags: blocking1.8.0.6?
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > Incident ID: 19591847
> > > Stack Signature js_HashString f709f0aa
> > > Product ID      Firefox15
> > > Build ID        2006060306
> > > Trigger Time    2006-06-07 01:06:39.0
> > > Platform        Win32
> > > Operating System        Windows NT 5.1 build 2600
> > > Module  js3250.dll + (00048543)
> > > URL visited     http://www.gmail.com
> > > User Comments   www.gmail.com
> > > Since Last Crash        45235 sec
> > > Total Uptime    45235 sec
> > > Trigger Reason  Access violation
> > > Source File, Line No.  
> > > c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> > > line 2820
> > > Stack Trace     
> > > js_HashString 
> > > [c:/builds/tinderbox/Fx-Mozilla1.8.0/WINNT_5.2_Depend/mozilla/js/src/jsstr.c,
> > > line 2820]
> > > 
> > > not a particularly useful stack, sorry :(
> > > 
> > 
> > 
> > 
> > 
> > well sorry but his has to be fixed ASAP otherwise it appears me and my friends
> > are unable to use as this is getting burdensome since 1.5.0.4 seems very buggy
> > worst version i ever used
> > 
> > sorry but tis true
> > 
> 
> 
> 
> 
> THIS IS STILL HAPPENEING I GOT SOME ID's OR TALKBACK REPORTS
> 
> 
> HERE THEY ARE
> 
> TB20393805Q
> TB20390947Y
> TB20385656H
> TB20357245Y
> 

Hello, I had this problem off and on on a number of Firefox's. The last one was fixed by going back to a previous profile. I had created a new profile. Try to create a new profile and use it and see if the problem continues. In my case it had something to do with a profile.
Can we get a confirmation of this before we consider it for blocking beta 1? Jay, can you get the QA guys looking at it sometime today?
Flags: blocking1.8.1?
Attached patch possible patch (obsolete) — Splinter Review
Something like this might be needed.
Now I just should try to write a testcase for this - 
I haven't ever seen the crash, so this patch is based on TB stack traces.

Bz, what do you think about this.
Hmm... So we're having a derived prototype outlive the base binding?

Couldn't we just make the mBaseBinding pointer strong?  Are there refs in the opposite direction somehow?
The problem is somehow that nsXBLDocumentInfo owns prototypebindings.
So making strong ref wouldn't work without changing that ownership.
It sure does appear that mozilla does not want to fix this issue

its getting to be pathetic i did swicth profiles but that removed my regular profile and had to start new fresh profile but it still did not stop this


I got more talkback ID's

sent in but still not fix

TB20677883Z
TB20675322E
TB20642949E
TB20637502M
reporter: someone has actually posted a patch that might work for your bug. to claim that we don't want to fix it is ridiculous. thank you for your reports, at this point your help is no longer needed until a fix is committed.
(In reply to comment #21)
> reporter: someone has actually posted a patch that might work for your bug. to
> claim that we don't want to fix it is ridiculous. thank you for your reports,
> at this point your help is no longer needed until a fix is committed.
> 

the pure attitude of you saying you are done with me at this time is pathetic coming from mozilla tech

I posted do not know why it never added patch did not work

these are versions I have tried

1.5.0.0
1.5.0.1
1.5.0.2
1.5.0.3
1.5.0.4
1.5.0.5
1.6.0
2.0 all versions
3.0 all alphas

and this issue is in all of those as well

so can you fix this please I have used firefox since the first version and hate to see pathetic attitudes from 1 mozilla staff member esp. saying what you sai

at this point your help is no longer needed until a fix is committed <-- this is the type of **** replies I would expect from MS, comcast and stuff not the best browser company around

the patch was added 8 days ago, it takes time to review patches and patches have to be reviewed and committed before they can appear in any builds. and wrt branch builds that requires an additional approval.

i'm not a mozilla staff member. i'm just a contributor. i consider my time valuable and feel that you're wasting it. the bug has all the information we need from you at the present time. if we need more, we'll ask you. until then, please be patient.
(In reply to comment #23)
> the patch was added 8 days ago, it takes time to review patches and patches
> have to be reviewed and committed before they can appear in any builds. and wrt
> branch builds that requires an additional approval.
> 
> i'm not a mozilla staff member. i'm just a contributor. i consider my time
> valuable and feel that you're wasting it. the bug has all the information we
> need from you at the present time. if we need more, we'll ask you. until then,
> please be patient.
> 

I WILL ASK YUO AGAIN TO STOP THIS TELLING ME WHAT NOT TO POST IF I WANT TO POST IN THIS REPORT MORE INFO I WILL 



Will:  We are close to wrapping up the 1.5.0.5 releases and therefore can not fix this right now.  There is a lot of dev, QA and build/release work that needs to be done in order for us to get a security/maintenance release out every 6-8 weeks, so we can not take bugs on demand!  If you notice, this bug is already nominated for the next 1.8.0.6 branch release.  We will most likely take the fix in the next month and hopefully this will be fixed in Firefox 1.5.0.6.  

In the meantime, try creating a new profile and see if that helps your crash go away.  There are a number of issues related to corrupted profiles that lead to crashes like this.  From you comment #22, it seems like this is an issue with your profile since it is happenign with all versions/branches...and we have not heard from many other gmail users about this problem.

Just because someone logs a bug and tells us to fix it, doesn't mean it's going to happen over night.  Please be patient, we are trying our best.  Thanks.
(In reply to comment #25)
> Will:  We are close to wrapping up the 1.5.0.5 releases and therefore can not
> fix this right now.  There is a lot of dev, QA and build/release work that
> needs to be done in order for us to get a security/maintenance release out
> every 6-8 weeks, so we can not take bugs on demand!  If you notice, this bug is
> already nominated for the next 1.8.0.6 branch release.  We will most likely
> take the fix in the next month and hopefully this will be fixed in Firefox
> 1.5.0.6.  
> 
> In the meantime, try creating a new profile and see if that helps your crash go
> away.  There are a number of issues related to corrupted profiles that lead to
> crashes like this.  From you comment #22, it seems like this is an issue with
> your profile since it is happenign with all versions/branches...and we have not
> heard from many other gmail users about this problem.
> 
> Just because someone logs a bug and tells us to fix it, doesn't mean it's going
> to happen over night.  Please be patient, we are trying our best.  Thanks.
> 



I would like to repeat that I changed profiles and that did not help me at all
brother.

it's a bug. you found it. we know it. we are working on it. but we're not going to get it fixed for 1.8.0.5 that's it. if things go very well it'll make 1.8.0.6 aka ff 1.5.0.6, if things don't, you'll have to wait longer, we're sorry.
Status: UNCONFIRMED → NEW
Ever confirmed: true
(In reply to comment #27)
> brother.
> 
> it's a bug. you found it. we know it. we are working on it. but we're not going
> to get it fixed for 1.8.0.5 that's it. if things go very well it'll make
> 1.8.0.6 aka ff 1.5.0.6, if things don't, you'll have to wait longer, we're
> sorry.
> 

ok so you mean to tell me you might not do this for 2+ builds come on man this has been around since 1.5.0.0 Beta's

enough time has gone by without fixing it

god

Will, there is one way you might help us by finding a regression range (provided that you don't crash with Firefox1.0)
On http://archive.mozilla.org/pub/firefox/nightly/ you can find a lot of older builds. If you can find in what build it doesn't crash and in what build it does, that might be useful.
(In reply to comment #29)
> Will, there is one way you might help us by finding a regression range
> (provided that you don't crash with Firefox1.0)
> On http://archive.mozilla.org/pub/firefox/nightly/ you can find a lot of older
> builds. If you can find in what build it doesn't crash and in what build it
> does, that might be useful.
> 

I thought I already mentioned that


1.5.0.0 the veryyyyyyyyy first nightly of the 1.5.0.x

nothing older at all

2 more crashes today happened in last hour

TB20765708G
TB20740571K
The builds at the link I provided also contains builds older than 1.5.0. It contains builds of every day, since the beginning of 2004. So in theory, you could find exactly withing 1 day range when this crashing you experience with gmail, started to happen.
(In reply to comment #32)
> The builds at the link I provided also contains builds older than 1.5.0. It
> contains builds of every day, since the beginning of 2004. So in theory, you
> could find exactly withing 1 day range when this crashing you experience with
> gmail, started to happen.
> 

why is it I have to repeat

I SAID MAN WHATEVER THE VERYYYYYYYYYYYYYYYYYYYYYYY FIRSTTTTTTTT DAY BUILD OF 1.5.0 WAS THAT IS WHEN IT HAPPENED

nothing before 1.5.0

i use daily/nightly builds ever since 1.5.0.x came out so it started with this series
This is for instance a build that was before Firefox1.5 came out:
http://archive.mozilla.org/pub/firefox/nightly/2005-09-02-08-mozilla1.8/firefox-1.0+.en-US.win32.zip
Do you get the crash with that build?
(In reply to comment #34)
> This is for instance a build that was before Firefox1.5 came out:
> http://archive.mozilla.org/pub/firefox/nightly/2005-09-02-08-mozilla1.8/firefox-1.0+.en-US.win32.zip
> Do you get the crash with that build?
> 

yes it crashes
(In reply to comment #36)
> Ok, thanks.
> What happens with a build 2 months earlier than that?
> http://archive.mozilla.org/pub/firefox/nightly/2005-07-02-07-trunk/firefox-1.0+.en-US.win32.zip
> 


please read my reply way above I will not repeat myself time after time

I said

ANY DAMN 1.5.0.X BUILD NO MATTER HOW OLD HOW NEW OR WHEN IT WAS AS LONG AS IT WAS A 1.5.0.X BUILD IT CRASHED WHAT DON'T YOU GET IN THAT


The builds I linked to are not 1.5.0.x builds, they are beta builds of which eventually Firefox1.5 is built from. Somewhere in the development cycle the bug you experience has crept in the developent cycle. By finding the dates when this happened, the developers might have a clue as to why this happens.
(In reply to comment #38)
> The builds I linked to are not 1.5.0.x builds, they are beta builds of which
> eventually Firefox1.5 is built from. Somewhere in the development cycle the bug
> you experience has crept in the developent cycle. By finding the dates when
> this happened, the developers might have a clue as to why this happens.
> 

now this crash issue in the latest 1.5.0.5 nightly is even worse then ever before crashes on any java site

and yes my java plugin is installed newest

Will, we really are trying to get this fixed.  If you could test the builds Martijn asks you to test, that would be incredibly helpful and expedite the process...

smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If so, we can start trying to figure out whether it leaks.  ;)
(In reply to comment #40)
> Will, we really are trying to get this fixed.  If you could test the builds
> Martijn asks you to test, that would be incredibly helpful and expedite the
> process...
> 
> smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they
> hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to
> mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If
> so, we can start trying to figure out whether it leaks.  ;)
> 



I WILL SAY THIS ONE LAST AND FINAL TIME REGARDING THE BUILDS

I SAID THAT IT STARTED DAY 1 BUILD 1 OF 1.5.0.0

OK WHATEVER DATE IT WAS I FORGOT THE FIRST EVER NIGHTLY BUILD THAT WAS WHEN THIS ALL STARTED IF THAT IS NOT GOOD ENOUGH THEN FINE BUT WHAT MORE YOU WANT FROM ME THIS BUG HAS BEEN AN ISSUE EVER SINCE I STARTED USING 1.5.0.0-1.5.0.5

IT NEVER STOPPED

GOD

Will, please stop shouting.  I've read everything that you said; I think you're missing Martijn's point about build numbering....  In any case, my point was taht you never actually answered the question asked in comment 36. I'd really appreciate if you could take a few minutes to do that.  If it's too much trouble (e.g. if you have a slow network connection), then don't worry about it, but if you do have the option of testing that, it would be very helpful.
Will: Everyone in this bug is trying to work to get this issue fixed. Please try to be sensitive to that and try to have your comments be as constructive as possible. Hunting down regression windows isn't always easy, and even though the problem may have started in 1.5 the issue could have existed before that, and that is why Martijn was asking you to test those sets of builds. Thanks.


(In reply to comment #41)
> (In reply to comment #40)
> > Will, we really are trying to get this fixed.  If you could test the builds
> > Martijn asks you to test, that would be incredibly helpful and expedite the
> > process...
> > 
> > smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they
> > hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to
> > mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If
> > so, we can start trying to figure out whether it leaks.  ;)
> > 
> 
> 
> 
> I WILL SAY THIS ONE LAST AND FINAL TIME REGARDING THE BUILDS
> 
> I SAID THAT IT STARTED DAY 1 BUILD 1 OF 1.5.0.0
> 
> OK WHATEVER DATE IT WAS I FORGOT THE FIRST EVER NIGHTLY BUILD THAT WAS WHEN
> THIS ALL STARTED IF THAT IS NOT GOOD ENOUGH THEN FINE BUT WHAT MORE YOU WANT
> FROM ME THIS BUG HAS BEEN AN ISSUE EVER SINCE I STARTED USING 1.5.0.0-1.5.0.5
> 
> IT NEVER STOPPED
> 
> GOD
> 

(In reply to comment #41)
> (In reply to comment #40)
> > Will, we really are trying to get this fixed.  If you could test the builds
> > Martijn asks you to test, that would be incredibly helpful and expedite the
> > process...
> > 
> > smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they
> > hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to
> > mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If
> > so, we can start trying to figure out whether it leaks.  ;)
> > 
> 
> 
> 
> I WILL SAY THIS ONE LAST AND FINAL TIME REGARDING THE BUILDS
> 
> I SAID THAT IT STARTED DAY 1 BUILD 1 OF 1.5.0.0
> 
> OK WHATEVER DATE IT WAS I FORGOT THE FIRST EVER NIGHTLY BUILD THAT WAS WHEN
> THIS ALL STARTED IF THAT IS NOT GOOD ENOUGH THEN FINE BUT WHAT MORE YOU WANT
> FROM ME THIS BUG HAS BEEN AN ISSUE EVER SINCE I STARTED USING 1.5.0.0-1.5.0.5
> 
> IT NEVER STOPPED
> 
> GOD
> 
(In reply to comment #43)
> Will: Everyone in this bug is trying to work to get this issue fixed. Please
> try to be sensitive to that and try to have your comments be as constructive as
> possible. Hunting down regression windows isn't always easy, and even though
> the problem may have started in 1.5 the issue could have existed before that,
> and that is why Martijn was asking you to test those sets of builds. Thanks.
> 
> 
> (In reply to comment #41)
> > (In reply to comment #40)
> > > Will, we really are trying to get this fixed.  If you could test the builds
> > > Martijn asks you to test, that would be incredibly helpful and expedite the
> > > process...
> > > 
> > > smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they
> > > hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to
> > > mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If
> > > so, we can start trying to figure out whether it leaks.  ;)
> > > 
> > 
> > 
> > 
> > I WILL SAY THIS ONE LAST AND FINAL TIME REGARDING THE BUILDS
> > 
> > I SAID THAT IT STARTED DAY 1 BUILD 1 OF 1.5.0.0
> > 
> > OK WHATEVER DATE IT WAS I FORGOT THE FIRST EVER NIGHTLY BUILD THAT WAS WHEN
> > THIS ALL STARTED IF THAT IS NOT GOOD ENOUGH THEN FINE BUT WHAT MORE YOU WANT
> > FROM ME THIS BUG HAS BEEN AN ISSUE EVER SINCE I STARTED USING 1.5.0.0-1.5.0.5
> > 
> > IT NEVER STOPPED
> > 
> > GOD
> > 
> 
> (In reply to comment #41)
> > (In reply to comment #40)
> > > Will, we really are trying to get this fixed.  If you could test the builds
> > > Martijn asks you to test, that would be incredibly helpful and expedite the
> > > process...
> > > 
> > > smaug, the nsXBLDocumentInfo holds refs to the nsXBLPrototypeBindings, but they
> > > hold weak refs to the nsXBLDocumentInfo.  So just holding a strong ref to
> > > mBaseBinding should be OK, I would think...  Does doing that fix the crash?  If
> > > so, we can start trying to figure out whether it leaks.  ;)
> > > 
> > 
> > 
> > 
> > I WILL SAY THIS ONE LAST AND FINAL TIME REGARDING THE BUILDS
> > 
> > I SAID THAT IT STARTED DAY 1 BUILD 1 OF 1.5.0.0
> > 
> > OK WHATEVER DATE IT WAS I FORGOT THE FIRST EVER NIGHTLY BUILD THAT WAS WHEN
> > THIS ALL STARTED IF THAT IS NOT GOOD ENOUGH THEN FINE BUT WHAT MORE YOU WANT
> > FROM ME THIS BUG HAS BEEN AN ISSUE EVER SINCE I STARTED USING 1.5.0.0-1.5.0.5
> > 
> > IT NEVER STOPPED
> > 
> > GOD
> > 
> 



yet again I am repeating again again again same same same reply to 36

YESSSSSSSSSSSSSSSS all 1.5.0.x builds no matter what god oh mighty you guys can not read my replies I said that not 1 build in the 15.0.0 through 1.5.0.5 works right what don't you understand about that

the ones he posted i already said after he posted have this bug ok yet you still want me to test it god

Will: the link in comment 36 is not to a 1.5.0.x build. It links to a so called nightly build between 1.0.x and 1.5.0.x. (as was stated in comment 38)
(In reply to comment #40)
> Does doing that fix the crash?  If
> so, we can start trying to figure out whether it leaks.  ;)
> 

The problem is that I haven't been able to reproduce the crash, so the patch is perhaps wrong anyway...

Comment on attachment 227681 [details] [diff] [review]
possible patch

Marking the patch obsolete. If someone who can reproduce the crash could test this...
Attachment #227681 - Attachment is obsolete: true
you know this bug is getting to a point guys where I might have to STOP using FireFox even though FireFox is the best this bug has just gotten me to a point where not 1 java site or gmail.com i can visit and for your info

no extenesions on my firefox right now not 1 and its still doing this 

i have newest nightly 

and to make this more annoyingI tried 2.0.0 and bingo its in 2.0.0 as well

the newest BETA 1 nightly i just downloaded 15min to test it had this bug
Will, the problem is that neither Olli nor I have been able to reproduce the bug, which makes it very hard to figure out how to fix it, since we can neither test possible fixes nor examine the situation when the bug occurs.  Again, if you would be willing to test the builds Martijn asked you to test, that would be a huge help in getting the problem pinpointed and fixed.
(In reply to comment #49)
> Will, the problem is that neither Olli nor I have been able to reproduce the
> bug, which makes it very hard to figure out how to fix it, since we can neither
> test possible fixes nor examine the situation when the bug occurs.  Again, if
> you would be willing to test the builds Martijn asked you to test, that would
> be a huge help in getting the problem pinpointed and fixed.
> 


OK I WILL SAY THIS 1 FINAL AND LAST TIME IF I GOT TO REPEAT THIS 1 MORE TIME AFTER THIS THEN I WILL NEVER TOUCH FIREFOX EVER AGAIN AND I WILL SPREAD THE WORD THAT THE DEVELOPERS ARE NOT TOO MUCH OF HELP

---

THE BUILDS HE TOLD ME TO **** TEST I TESTED AND THEY HAD THE BUG THIS IS THE 12TH TIME REPEATING THIS SAME STATEMENT

WHAT PART OF THAT CAN YOU NOT UNDERSTAND


What I can't understand is whether you tested the build mentioned in comment 36.  You've never before indicated that you had tested it.  Have you?  If so, we'll keep looking for older builds until we find where the bug first appeared.
(In reply to comment #51)
> What I can't understand is whether you tested the build mentioned in comment
> 36.  You've never before indicated that you had tested it.  Have you?  If so,
> we'll keep looking for older builds until we find where the bug first appeared.
> 

that is it as I told you mention this older builds again i will do what i said i would do man

you are still not listening to what i have to say

that build has the bug and anyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy!!! 1.5.0.0 thru 1.5.0.5 nightly and release builds
OK.  What about http://archive.mozilla.org/pub/firefox/nightly/2005-05-02-07-trunk/firefox-1.0+.en-US.win32.zip ?

I assume that you're not seeing the crash in Firefox 1.0.x builds, right?  Or are you?
(In reply to comment #53)
> OK.  What about
> http://archive.mozilla.org/pub/firefox/nightly/2005-05-02-07-trunk/firefox-1.0+.en-US.win32.zip
> ?
> 
> I assume that you're not seeing the crash in Firefox 1.0.x builds, right?  Or
> are you?
> 

that is corrent only 1.0 builds is those 1.0+

yes that bug is in that one seems like all those

1.0+ ones and 1.5.0.x

(In reply to comment #55)
> OK.  What about
> http://archive.mozilla.org/pub/firefox/nightly/2005-01-01-07-trunk/firefox-1.0+.en-US.win32.zip
> ?  Does that crash?
> 


no way are you going to have me test a million builds man why do you need to know that god


The actual number of builds that would need testing is in the 10-20 range, not nearly a million.  ;)  Again, if you just don't have time to do this, feel free to just say so; then I'll also give up trying to do anything with this bug and we can go our separate ways.

Again, the reason we need the builds tested is because none of us are seeing the problem.  That means that debugging it and fixing it is impossible.  If we knew when the problem got introduced, we could look at all changes made on that day and try to get a handle on the problem that way...
(In reply to comment #57)
> The actual number of builds that would need testing is in the 10-20 range, not
> nearly a million.  ;)  Again, if you just don't have time to do this, feel free
> to just say so; then I'll also give up trying to do anything with this bug and
> we can go our separate ways.
> 
> Again, the reason we need the builds tested is because none of us are seeing
> the problem.  That means that debugging it and fixing it is impossible.  If we
> knew when the problem got introduced, we could look at all changes made on that
> day and try to get a handle on the problem that way...
> 



oh i see how it is i fail to test 20 **** builds you refuse to fix this bug

OK JUST SO YOU KNOW I HAVE SCREENSHOTED THIS REPLY OF YOURS AND POSTING IT ON TONS OF SITES TO SHOW THAT YOU REALLY DO NOT CARE TO FIX BUGS

all you got to do is listen to my bug report fix it

its common sense guy it has something to do with JAVASCRIPT

and you better not say i got bad java on my PC as java works fine and dandy in

opera
aol
IE 6 & 7(YUKEY BROWSERS)
and maxon

so it has to be a bug here and i am reporting this on behalf of 22 msn buddies they refuse to report it as they told me you will be like

OH TEST THIS OR WE WILL NOT FIX IT

i have tested 23 builds for you guys now that i think should make you think tis a real bug

> oh i see how it is i fail to test 20 fucking builds you refuse to fix this bug

No.  Rather it's that I have no way to fix this bug, so I'm going to work on bugs I _can_ fix instead.  Simple allocation of resources....

And it doesn't have to be you testing; just someone who can reproduce the problem.

Again, I'm not saying this isn't a real bug.  I'm just saying that I'm having trouble reproducing it, on one particular setup.  Unfortunately, that's the only setup I have, so...
(In reply to comment #59)
> > oh i see how it is i fail to test 20 **** builds you refuse to fix this bug
> 
> No.  Rather it's that I have no way to fix this bug, so I'm going to work on
> bugs I _can_ fix instead.  Simple allocation of resources....
> 
> And it doesn't have to be you testing; just someone who can reproduce the
> problem.
> 
> Again, I'm not saying this isn't a real bug.  I'm just saying that I'm having
> trouble reproducing it, on one particular setup.  Unfortunately, that's the
> only setup I have, so...
> 



like I said sorry but i am not a test dumby

it should be up to the developers tto test and fix it and this has been posted on a few windows chat forums as this is pathetic that i got to test test test test its bored and i know the results

all 1.0+ and 1.5.0.x builds have ti no matter what you want it does have it god

Flags: blocking1.9a1?
Flags: blocking1.8.0.5?
Looks like developers can't reproduce the problem, and according to the reporter this problem has existed in all 1.0 and 1.5 releases. Since we're not getting duplicate gmail complaints there's something very specific to his setup, and until we can figure that out a patch is unlikely.

Can't hold 1.5.0.5 for this (and unlikely to hold any 1.5.0.x unless progress is made fixing it).

Flags: blocking1.8.0.5? → blocking1.8.0.5-
(In reply to comment #61)
> Looks like developers can't reproduce the problem, and according to the
> reporter this problem has existed in all 1.0 and 1.5 releases. Since we're not
> getting duplicate gmail complaints there's something very specific to his
> setup, and until we can figure that out a patch is unlikely.
> 
> Can't hold 1.5.0.5 for this (and unlikely to hold any 1.5.0.x unless progress
> is made fixing it).
> 


well if they looked hard they can but as I stated i will refuse to test tons of builds i have testing alot now and lost all my settings and themes due to them wanting more more more more more tests

this was not in 1.0 only 1.0+

since there is refusal to fix this I have gone ahead and posted on 12 PC discussion sites that mozilla refuses to fix an issue that is clearly a real bug


When you do post to other forums, please link to this bug. That way we might get people that are interested in helping out testing builds to figure out exactly when this regressed.

I understand if you do not want to test builds since there is risk of getting problems with settings, themes and other things living in your profile. But there might be other people out there that are able to test for us.
Not fixed on trunk, doesn't look like it'll make 1.5.0.7
Flags: blocking1.8.0.7? → blocking1.8.0.7-
YOU KNOW I HAVE MOVED TO OPERA 9 AS THIS BUG HAS RUINED MY PC THANKS ALOT MOZILLA FOR LOSING ANOTHER 210 USERS GUYS YOU KNOW WHAT THIS MEANS NOT FIXING THIS FOR FIREFOX'S FUTURE AS THE SITE I AM STAFF AT THAT IS PC CHAT 210 USERS MAY MOVE TO OPERA JUST BECAUSE DEVELOPERS ATTITUDES IN THIS REPORT THIS SUCKS AND TO THINK FIREFOX WAS AWESOME TIL YOU REFUSED TO FIX A BUG ALL DUE TO ME NOT WANTING TO TEST 50000000 BUILDS THAT WAS HILARIIUS AS EVERYONE ON THIS FORUM LOVED HOW YOU FORCE US TO TEST 100'S OF BUILDS BEFORE YOU FIX SOMETHING

GET
THE
PICTURE
THIS
IS
A
REAL
BUG
IN
1.5.0.X BRANCH
AND
1.0+ BRANCH PLEASE FIX ASAP
Flags: blocking1.8.0.8?
Flags: blocking1.8.0.7?
Flags: blocking1.8.0.7-
Summary: whenever you go to gmail.com the redirects on gmail makes FireFox freeze then crash → whenever you go to gmail.com the redirects on gmail makes FireFox freeze then crash [@ nsXBLService::GetBinding] [@ js_HashString]
I'm just triaging bugs, I can't make volunteer developers pull patches out of their butts. Unfortunately we're even less likely to get patches when you scream and insult them. I really don't see how we can hold 1.5.0.x for this without a fix.

Maybe one of the Google employees who work on Firefox can figure this one out.
Flags: blocking1.8.0.7? → blocking1.8.0.7-
The main problem is still that no-one here crashes, and so it's really hard to try to fix. If we at least knew *exactly* when this problem started occuring we would have a shot at fixing it, but that requires the help of someone that actually is able to see the crash.

I understand if you don't have the resources to test a lot of builds, which is what's required to figure out when the problem started occuring, but we have no way of fixing this bug without it.
why do I have to repeat myself you guys dumb or can not **** read

1.5.0.X BRANCH
AND
1.0+ BRANCH PLEASE FIX ASAP


every single build in 1.0+ has this

as well all builds with 1.5.0.x

so this narrows it down to 1.0+ and higher

as I said before the last 1.0.0.x build you guys have in ftp/http mirros does not have this
Flags: blocking1.8.0.7- → blocking1.8.0.7?
> so this narrows it down to 1.0+ and higher

That's over a year's worth of development, with tens of thousands of changes.  So it doesn't get us very far towards being able to fix this, unfortunately.  And again, none of us are managing to crash with ANY builds.

That said, I'm getting a little tired of your abusive behavior.  Please at least try to be polite to Daniel, who's just doing his job as best he can -- he needs to ship a security release and he can't block on bugs that have no fix and are not easily reproducible.
Flags: blocking1.8.0.7? → blocking1.8.0.7-
I am being nice as you guys and you think i am bad the site that pc chat where they are rofl @ your attitude and saying you are worst techs and developers ever as you never bother to fix anything that is ever reported unless its security or found by you guys there is 1 guy 54 yrs old he has added so many bugs and never 1 fixed and he gets same lousy attitude from you all so what you expect when this bug!!! crashed my PC and i had to reinstall windows xp pro sp2 just due to this

just fix it
Flags: blocking1.9?
Flags: blocking1.8.0.7?
Flags: blocking1.8.0.7-
Flags: blocking1.7.14?
Will, please do not set any more blocking requests on this bug.  You're abusing the bug database, and that's really not appreciated.
Flags: blocking1.9a2?
Flags: blocking1.9a1?
Flags: blocking1.9?
Flags: blocking1.9-
Flags: blocking1.8.0.8?
Flags: blocking1.8.0.8-
Flags: blocking1.8.0.7?
Flags: blocking1.8.0.7-
Flags: blocking1.7.14?
Flags: blocking1.7.14-
(In reply to comment #70)
> there is 1 guy 54 yrs old he has added so many
> bugs and never 1 fixed and he gets same lousy attitude from you all so what you
> expect ...

Could you, or that 54 year old guy, point me to those bugs, please?


will - there are several places on a pc that a bug can happen in.  *you* are the only one seeing this problem so the odds are the problem is something specifically on your machine.  Until we can find out a piece of info that helps us reproduce it, we're stuck.  Fwiw quite a lot of people who use bugzilla use gmail.  I understand this is a really crappy situation for you, but the fact that you're getting this much attention when you're the only one seeing the issue should say something about the devs' commitment to fixing any valid bug.

Does it still happen to you after reinstalling xp? If so, I've seen some similar issues (not with gmail but with other things) that are somehow specific to a windows profile.  If you make a new XP profile does it still happen?  Do you have a firewall installed that might be choking firefox on a script? I've seen that happen as well.  I've also seen google addons (google manager, google desktop, google toolbar etc) cause crashes on google sites in firefox.
my name is Jon I am a member of the site Will mentioned and yes there is a few of us that can confirm this bug it is what Will mentioned

so now you got your confirmation and i think it was unfair to ban will from making bugs
Flags: blocking1.8.1?
Flags: blocking1.8.0.8?
Flags: blocking1.8.0.8-
blocking 1.5.0.7

I can code and this is a bug in stack sig.
Flags: blocking1.8.0.7- → blocking1.8.0.7?
(In reply to comment #74)
> my name is Jon I am a member of the site Will mentioned and yes there is a few
> of us that can confirm this bug it is what Will mentioned

Jon: we don't doubt that the bug is happening.  What we need are for people like you, WIll, or others who can reproduce the bug to help us narrow down which changes actually caused it, by testing various builds to help us binary search the commit space.  It's an incredibly boring task, but we'd be doing it ourselves if we could see the bug :)

If you can test the build in comment 55 and tell us whether it crashes, that would be great.  I think that's about where Will lost his patience with us...
For the sake of the devs that haven't been following the bugs I have, Will said that gmail was fine until he updated to 1.5 but now he can't go back to a build he knew it was working on, it's broken as well.  I've seen this sort of thing happen with flash issues (mostly plugins) and neither a new profile, nor reinstalling firefox or the offending plugin fixed it.  I have started to see a few confirmations that creating a new XP profile creates an environment that works.

Will got frustrated cuz he said it worked in 1.0.x, broke in 1.5 and now it doesn't work in 1.0.x anymore.  Albeit I don't code so I'm not sure what you're seeing in the stacks, but from giving product support I have only seen windows profile and firewall issues break firefox retroactively (and malware).
(In reply to comment #74)
> my name is Jon I am a member of the site Will mentioned and yes there is a few
> of us that can confirm this bug it is what Will mentioned

Jonathan, are there more members of the site (which site if I may ask?) who can confirm and are willing to test various builds?
Do you know who that 54 year old guy is who filed bugs in bugzilla, which Will talked about in comment 70? You happen to know his bugzilla email address?

(In reply to comment #74)
> my name is Jon I am a member of the site Will mentioned and yes there is a few
> of us that can confirm this bug it is what Will mentioned
>
> so now you got your confirmation 

Hi "Jonathan". Thanks for your confirmation, but there was never any doubt expressed anywhere within this bug that this wasn't causing a crash. Since not a single one us is able to reproduce this, we need assistance in figuring out what's causing it. Perhaps you and the 22 MSN buddies, 210 forum users, 12 PC discussion sites or the 54 year old can get together and split the number of builds to test. Further ludicrous accusations that we don't care and rants about switching to another browser make no progress towards fixing this. The fact that this bug is still open and that unpaid volunteers are still willing to attempt to work to solve it even when they're only being met with exceedingly rude replies speaks volumes for the patience and common goal of all community members involved here. We all want to see this fixed, but we can't do it alone - we need your help and the help of anyone who can else who's seeing this issue.



> and i think it was unfair to ban will from making bugs
> 

Will's account was limited to prevent him from continuing to abuse the blocking flags - much like you're doing now. Please refrain from setting the blocking flags or any of fields on this bug. Each action sends out email to everyone here and those watching this component and that's only further trying the already stressed patience of those involved. 

We want to see this fixed just as much as you or anyone else seeing this. But again, if none of us can reproduce it and no one experiencing it is willing to to throw us a bone, then not much can be done. So I humbly ask that you or *anyone* you can find experiencing this please follow the instructions above for narrowing the regression window down to a manageable size. The sooner we have that information, the sooner we can make progress towards getting this fixed.
Flags: blocking1.8.1?
Flags: blocking1.8.0.8?
Flags: blocking1.8.0.7?
at this time I am only calm member of the site they are so Fing <-- sorry thats words they use only

frustrated its not funny

and I know what I am doing by blocking as I once helped flock when it was new but due to a family death left that team so I know alot more then you guys think about GECKO source and I say this is how I feel the bug is

1) when Will and us access a JAVA site the stack sig. is for some odd reason dening us access and crashing the browser

I say best option this point is to block 


blocking1.8.0.8 and blocking1.8.0.9

not .7 as .7 I bet but for some odd reason can not find any nightly's of 1.5.0.7 anywhere to test but my guess is .7 is too soon to block and maybe out sooner then non-code guerrus think

as for other builds the last build Will mentioned to us and we all confirmed was around feb 2005 1.0+ did have it and anything before that month had no crashing

I have also if this heelps removed all ext. from 1.5.0.6 and I still see the bug as well this makes this more puzzeling is

in safe mode firefox does NOT crash

o_O

very odd

and

I forgot the name of it FireFox 3.0.0.0 Alpha 1 does not have this but 2.0 does

*scratches head*

blocking1.8.1

so leave the 2-3 blocks as I have faith in us coders and FIREFOX fans that we can get this bug and nuke it before one of the 3 I blocked


as for Will

he is sorry for his actions and wishes someone can unban him so he can apologize ASAP

he just gets frustrated at times no one should hold a ban over him but request privatly he take time off and the main reason this makes him upset is 

1) he developes websites and PHP/MYSQL/PERL online products and 99% of his clients use FireFox and if it crashes he can not code

2) he has never as well as I gotten spyware since moving from IE to FF so us admins on that PC chat forum love firefox and want to make sure the same as you all do

1)stable
2)safe
3)security

4) maybe someday be better at rendering Acid2 which 3.0 is clsoe in my coding opinion yay!

I can guarentee you Will will not be **** anymore he is going through alot lately with sicknesses in his family as well as him having 3 kidney stones(OUCH)


---

now on a note a few things

how can I get development access like you guys have seems more power in bugzilla then me

also where can i find all nightly builds as all I see in all mirrors is RELEASES

I would like along with Will test more and make FF better

Flags: blocking1.8.1?
Flags: blocking1.8.0.8?
> also where can i find all nightly builds 

http://archive.mozilla.org/pub/firefox/nightly/ -- this got mentioned in comment 29, I think.

I'm trying to reconcile comment 80 with the original bug report -- does gmail have Java on it?


(In reply to comment #81)
> > also where can i find all nightly builds 
> 
> http://archive.mozilla.org/pub/firefox/nightly/ -- this got mentioned in
> comment 29, I think.
> 
> I'm trying to reconcile comment 80 with the original bug report -- does gmail
> have Java on it?
> 

not sure but when you login to gmail and it says at top right corner in mini red block

PLEASE WAIT....

that redirect crashes firefox as well as all java syle sites

and just so you all do not have to mention it me and Will both have newest Java software plugin and PC version fresh reinstalled as a test  and still crashees


hmm that nightly does not work for me or Will we get 404
that is not the only nightly link I would like does anyone have the nightly link for the newest meaning

1.5.0.7
2.0
3.0

and all other products this is an archive of older ones
First off, lets take one bug at a time to avoid confusion. I don't think there is any java in gmail so if you're seing issues with java sites please file that as a separate bug so we can look at that issue separatly from this one.

It may be that in the end they are the same issue, but most likely they are not and so we'd be chasing red herrings in trying to treat them as the same problem.

Not sure what you mean by 'development access'? You want to download and compile the source code? If so there are instructions here: http://www.mozilla.org/hacking/


The fact that you don't see the crash when running firefox in safe mode (is that what you mean?) is a *huge* help. If you use a fresh install without any plugins or extensions installed does it still crash?
(In reply to comment #80)
> I have also if this heelps removed all ext. from 1.5.0.6 and I still see the
> bug as well this makes this more puzzeling is
> 
> in safe mode firefox does NOT crash

So what extensions did/do you have installed? (I'm still trying to reproduce)
I found one way of crashing gmail in combination with an extension, see bug 348990, but it's not related to this bug, I think. But maybe somehow an extension is causing it by you and Will.

(In reply to comment #83)
> that is not the only nightly link I would like does anyone have the nightly
> link for the newest meaning
> 
> 1.5.0.7
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/

> 2.0
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/

> 3.0
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/

> and all other products this is an archive of older ones
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/ (limited archive of a month or so)
http://archive.mozilla.org/pub/firefox/nightly/ (full archive)
Let's keep one bug per problem.  This bug covers gmail.  If there is a separate Java issue, it should be covered by a separate bug.

http://archive.mozilla.org/pub/firefox/nightly/ has trunk and branch nightlies for all branches, except the most recent ones (the ones that are still on ftp.mozilla.org).

For the gmail crash, I'd still like someone to test the build I point to in comment 55 and let me know whether it crashes.
(In reply to comment #84)
> First off, lets take one bug at a time to avoid confusion. I don't think there
> is any java in gmail so if you're seing issues with java sites please file that
> as a separate bug so we can look at that issue separatly from this one.
> 
> It may be that in the end they are the same issue, but most likely they are not
> and so we'd be chasing red herrings in trying to treat them as the same
> problem.
> 

as for new bug NO as these 2 issues are exactly the same Will just never explained it rightly

as for fresh install YES its still crashing the only time it never crashes is in safe mode

--

as for developement access you guys ban Will and have powers to do that stuff how can that be done

also you guys still not given me a link to the latest builds made or compiled


> Not sure what you mean by 'development access'? You want to download and
> compile the source code? If so there are instructions here:
> http://www.mozilla.org/hacking/
> 
> 
> The fact that you don't see the crash when running firefox in safe mode (is
> that what you mean?) is a *huge* help. If you use a fresh install without any
> plugins or extensions installed does it still crash?
> 
(In reply to comment #86)
> Let's keep one bug per problem.  This bug covers gmail.  If there is a separate
> Java issue, it should be covered by a separate bug.
> 
> http://archive.mozilla.org/pub/firefox/nightly/ has trunk and branch nightlies
> for all branches, except the most recent ones (the ones that are still on
> ftp.mozilla.org).
> 
> For the gmail crash, I'd still like someone to test the build I point to in
> comment 55 and let me know whether it crashes.
> 



from what I read Sir Will tested that build and mentioned he did 5 times

unless I am seeing things I see him mentioning that he tested it and confirmed it crashes

Only a selected few people have access to ban or unban other people, no firefox developers have that level of access. To gain that level of access you have to be a contributer for many years working with QA and other bugzilla related issues.
Just for clarification - you're seeing this with JavaScript, not Java, correct?
JavaScript (which is what Gmail is using) is interpreted by the browser and is in no way related to nor depends on the Sun JRE plugin.
please don't nominate a bug for blocking until there are solid STR
Flags: blocking1.8.1? → blocking1.8.1-
Restoring lost blocking flag
Flags: blocking1.8.0.9?
not blocking 1.8.0.x until there's good STR and hope of progress.
Flags: blocking1.8.0.9? → blocking1.8.0.9-
I'm not entirely sure if this is related. I recently upgraded my firefox in SuSE 9.1 from 1.0.[whatever their last version was in YaST] to 2.0 [bon echo] via source compilation. I then started experiencing gmail issues in that the CPU would peg 100%, and memory usage would increase. After a while, the browser would show a dialog box saying that a script was unresponsive, and prompt me to stop or continue it. Continuing seems to be fruitless. When stopping, the dialog will then repeat a couple of times before it shows a garbled inbox, and an "Arrgh! The page has been corrupted. If you are running security or firewall software, you may have to disable it."

I then updated to CVS version as of yesterday, and am still experiencing this issue. I tried running the browser in safe mode, and still encountered it. In Windows XP, my 2.0 install is working just peachy on it, on the same account.

I'm willing to test any binaries. Compiling from source on multiple versions will make me tear my hair out... please don't suggest that :]

Thanks,
-Jang-Soo
Well Jang-Soo, you could try and find out in which of the builds you are seeing this issue.
http://archive.mozilla.org/pub/firefox/nightly/
You then might be able to find a regression range.
But I doubt it is the same issue as the original bug reporter is describing, so I think it might be better to file a new bug for what you're seeing.
I began having this problem yesterday (Jan 8.07).  Whenever a Gmail inbox page began to load, the browser crashed.

The same thing happened when I went to this page and clicked on a link below the date near the top left of the page (animated graphic labelled "ping ...") : http://www.australianit.news.com.au/  I can insert the linked address in the location bar and load the page without the browser crashing.

I've tested with a new .mozilla folder.  The browser crashes until I remove the flash player plugin.
Today Jan 14, I tested after reinstalling the OS.  Firefox still crashes.  I was, however, able to log in to Gmail with Konqueror, using the same Flash Player plugin.
Flags: blocking1.9?
Flags: blocking1.9-
Flags: blocking1.8.1.2?
Flags: blocking1.8.0.10?
Flags: blocking1.8.1.2?
Flags: blocking1.8.1.2-
Flags: blocking1.8.0.10?
Flags: blocking1.8.0.10-
Today, Jan 17, just to make sure it made no difference, I tried Flashplayer 9.  Result: no crash in the Gmail accounts or on the link previously causing FF to crash.
terauck-moz@yahoo.com.au, do you have talkback ID's of the crash? I suspect you're seeing a different bug than this one.
I have nothing.  FF did not generate a crash report.  If someone can tell me how to generate "talkback IDs", I'd be glad to do so.  I suspected I may have joined the wrong bug.

One thing I realised after unpacking Flashplayer 9 was that the old flashplayer.xpt had been made executable, whereas the new version was rw-r-r only.  Could that have been the reason for the crashing?
Not blocking since we're still missing steps to reproduce and a regressions range. If someone is able to provide either of those feel free to renominate.
Flags: blocking1.9? → blocking1.9-
Duplicate of this bug: 387309
Hi,

not sure if this is related either, but since the automatic upgrade to 2.0.0.5 I have been seeing similar crashes. Talkback gives me nothing, even though firefox is wiped clean from memory.

Currently using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6

Repeatable: always

Action:
* open gmail.com
* login
* open a facebook mail (New message reminder, new friend add, etc)
* crash

Tried it in safe mode, same behavior. (Most) other mails seem to be fine. Facebook mails always crash.

I do see a lot of warning messages in the error log
Warning: Error in parsing value for property 'cursor'.  Declaration dropped.
Source File: https://mail.google.com/mail/?view=page&name=gp&ver=sh3fib53pgpk
Line: 4
Warning: Unknown property 'filter'.  Declaration dropped.
Source File: https://mail.google.com/mail/?view=page&name=gp&ver=sh3fib53pgpk
Line: 4
Warning: Expected ':' but found 'none'.  Declaration dropped.
Source File: https://mail.google.com/mail/?view=page&name=gp&ver=sh3fib53pgpk
Line: 0
etc

though I am not sure these have anything to do with the crash.

I have some time so I will also try a fresh user profile and a fresh install. More later.
Ups, just figured out this had nothing to do with gmail but with facebook. Even www.facebook.com crashes. Sry for the remarks.
Did you file a bug on the facebook crash?
No. It is most likely unrelated to firefox. After I posted I found I have the same problems in IE. I am still looking for whatever dll/whatnot is causing this. If you have a pointer, I am all ears. At this point my last hope is a completely fresh install.
Duplicate of this bug: 400517
Note that bug 400517 has quite different steps to reproduce.
Thinking back to comment 19, perhaps we should make XBL document infos implement cycle collection if they don't already and make proto bindings hold a strong ref to their parent proto's document info.  That seems like it should work...

Alternately an nsXBLBinding could hold strong refs to its whole proto chain.  This might be easier and seems like a good idea.
Boris, could you please file a new bug on the issue you're talking about as this bug is completely impossible to get any useful information out of due to all the ranting.
Too true.  Filed bug 400786.
Duplicate of this bug: 401530
Ok, I am not a technical guy. But here is what I experience. No problems when in Gmail.

When I go to my Igoogle, and click on almost anything on that page, Firefox just goes away. No error message, just vanishes. Happens everytime.

Never had the issue with V2.0

Tried dozens of other sites, yahoo, etc, no problems. Igoogle crashes everytime.

Running windows XP, version 2002, service pack 2
Sounds like a different issues, please file a separate bug on that.
I am experiencing this problem.  everything was fine until about 30 minutes ago.  As far as I can tell nothing has changed to cause this.  since gmail is my homepage this means that firefox starts up and almost immediately errors.  I cannot do anything further.

Using Firefox 3.0.3, Windows XP MCE SP2

(In reply to comment #0)
> User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4)
> Gecko/20060508 Firefox/1.5.0.4
> Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4)
> Gecko/20060508 Firefox/1.5.0.4
> whenever you go to gmail.com the redirects on gmail makes FireFox freeze then
> crash
> Reproducible: Always
> Steps to Reproduce:
> 1. type in www.gmail.com
> 2. sign-in
> 3. move around so you get the gmail redirect or upper right corner says PLEASE
> WAIT.., it then crashes
> Actual Results:  
> the whole browser crashed
> Expected Results:  
> not to crash keep browsing as normal
> this was reported by me a tech closed it saying fixed in 1.5.0.1 yet I still
> getting this along with tons of other friends
Assignee: xbl → nobody
QA Contact: ian → xbl
Pretty sure it's safe to resolve this bug -> INCOMPLETE
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → INCOMPLETE
Crash Signature: [@ nsXBLService::GetBinding] [@ js_HashString]
You need to log in before you can comment on or make changes to this bug.